package PragmARC is
end PragmArc;

package PragmARC.Protected_Option is
   protected type Handle is
     procedure Enable(Enabled:in Boolean);
     function Enabled return Boolean;
   private
     State : Boolean := False;
   end Handle;
end PragmARC.Protected_Option;
package body PragmARC.Protected_Option is
   protected body Handle is
     procedure Enable(Enabled:in Boolean) is
     begin State := Enabled;end Enable;
     function Enabled return Boolean is
     begin return State;end Enabled;
   end Handle;
end PragmARC.Protected_Option;

generic
  type Supplied_Real is digits <>;
package PragmARC.Universal_Random is
  function Random_Int(Left, Right : in Integer) return Integer;
  procedure Randomize;
end PragmARC.Universal_Random;
with Ada.Numerics.Float_Random;
package body PragmARC.Universal_Random is
  Gen : Ada.Numerics.Float_Random.Generator;
  function Random_Int(Left, Right : in Integer) return Integer is
    F : constant Float := Ada.Numerics.Float_Random.Random(Gen);
  begin
    return Integer(F*Float(Right-Left))+Left;
  end Random_Int;
  procedure Randomize is
  begin Ada.Numerics.Float_Random.Reset(Gen);end Randomize;
end PragmARC.Universal_Random;
